Bug 159331 - sshd update for new audit system
sshd update for new audit system
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssh (Show other bugs)
4.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: FutureFeature
Depends On:
Blocks: 113381 156322
  Show dependency treegraph
 
Reported: 2005-06-01 14:13 EDT by Steve Grubb
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-527
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:40:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2005-06-01 14:13:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The sshd program needs to update its pam configuration for the new audit system. It needs the following line added:

session    required     pam_loginuid.so

The Requires line will need to be set for the version of pam that includes the pam_loginuid module.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. new functionality

Additional info:
Comment 1 Steve Grubb 2005-06-01 14:15:24 EDT
Also, the same modification can be made to rawhide. In that case, pam-0.79-6 and
later have the loginuid module.
Comment 2 Tomas Mraz 2005-06-10 07:57:41 EDT
Included in rawhide openssh-4.1p1-2
Comment 5 Steve Grubb 2005-06-17 08:58:24 EDT
Just an update. Pam is finalized for RHEL4-U2. This package probably should have:

Requires: pam >= 0.77-66.8

I need to collect all packages before Monday. Sorry for the short notice, things
got backed up. Would you let me know when this package is ready for IBM. Thanks.
Comment 6 Tomas Mraz 2005-06-22 05:59:49 EDT
pam_loginuid.so added to openssh-3.9p1-8.RHEL4.6
Comment 9 Red Hat Bugzilla 2005-10-05 08:40:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-527.html

Note You need to log in before you can comment on or make changes to this bug.